# BEGIN SourceDeps(oneline):
BuildRequires: perl(Expect.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name BBS-UserInfo-Wretch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Get user information of Wretch-style BBS
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GS/GSLIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use BBS::UserInfo::Wretch;

    my $foo = BBS::UserInfo::Wretch->new(
	    'debug' => 1,
	    'port' => 23,
	    'server' => 'bbs.wretch.cc',
	    'telnet' => '/usr/bin/telnet',
	    'timeout' => 10
	    );

    # connect to the server
    $bot->connect() or die('Unable to connect BBS');

    my $userdata = $bot->query('username');

    # print some data
    print($userdata->{'logintimes'});


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

